org.apache.commons.io.filefilter

## Class TrueFileFilter

- java.lang.Object
- - org.apache.commons.io.filefilter.TrueFileFilter

- All Implemented Interfaces:
    FileFilter, FilenameFilter, Serializable, IOFileFilter

      public class TrueFileFilter
      extends Object
      implements IOFileFilter, Serializable

  A file filter that always returns true.
  Since:
    1.0
  See Also:
    `FileFilterUtils.trueFileFilter()`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IOFileFilter` | `INSTANCE` Singleton instance of true filter.
    `static IOFileFilter` | `TRUE` Singleton instance of true filter.

    - ### Fields inherited from interface org.apache.commons.io.filefilter.IOFileFilter

      `EMPTY_STRING_ARRAY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TrueFileFilter()` Restrictive constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(File file)` Returns true.
    `boolean` | `accept(File dir, String name)` Returns true.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRUE

          public static final IOFileFilter TRUE

      Singleton instance of true filter.
      Since:
        1.3

    - #### INSTANCE

          public static final IOFileFilter INSTANCE

      Singleton instance of true filter. Please use the identical TrueFileFilter.TRUE constant. The new name is more JDK 1.5 friendly as it doesn't clash with other values when using static imports.

  - ### Constructor Detail

    - #### TrueFileFilter

          protected TrueFileFilter()

      Restrictive constructor.

  - ### Method Detail

    - #### accept

          public boolean accept(File file)

      Returns true.
      Specified by:
        `accept` in interface `FileFilter`
      Specified by:
        `accept` in interface `IOFileFilter`
      Parameters:
        `file` - the file to check (ignored)
      Returns:
        true

    - #### accept

          public boolean accept(File dir,
                                String name)

      Returns true.
      Specified by:
        `accept` in interface `FilenameFilter`
      Specified by:
        `accept` in interface `IOFileFilter`
      Parameters:
        `dir` - the directory to check (ignored)
        `name` - the file name (ignored)
      Returns:
        true

Copyright © 2002–2020 The Apache Software Foundation. All rights reserved.